$(document).ready(function() {

	$('.newsletter-signup').bind('submit', function(e) {
		e.preventDefault();

		var href = $(this).attr('action');

		$.ajax({
			'type' : 'POST',
			'url' : href,
			'cache': false,
			'data' : {
				'name': $('#NewsletterSignupName').val(),
				'email': $('#NewsletterSignupEmail').val()
			},
			success: function(data, textStatus, jqXHR) {

				$('#NewsletterSignupsNotification').css('display', 'none').html(data);
				$('#NewsletterSignupsNotification').slideDown();

				$('#NewsletterSignupName').val('Name');
				$('#NewsletterSignupEmail').val('Email');

				setTimeout('closeMessage("NewsletterSignupsNotification");', 5000);
			},
			error: function(jqXHR, textStatus, errorThrown) {

				$('#NewsletterSignupsNotification').css('display', 'none').html('There was an error processing your sign up. Please try again.');
				$('#NewsletterSignupsNotification').slideDown();

				setTimeout('closeMessage("NewsletterSignupsNotification");', 4000);
			}
		});

	});

});

function closeMessage(div_id)
{
	if (typeof div_id != 'undefined') {

		$('#' + div_id).slideUp('normal', function(e) {

			$('#' + div_id).empty();

		});
	}
}
